<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('login');
});
//return view('auth/login');
Route::get('/admin/dashboard',  function () {return view('index');});
Route::get('/admin/index/count','LoginController@countryWiseList');
Route::get('/admin/dashboard',  'LoginController@index');
Route::get('/admin/registeredUsers/list', 'RegistrationController@index');
Route::get('/admin/users/add', function () {return view('users_add');});
Route::get('/admin/registeredUsers/view/{id}', 'RegistrationController@view');
Route::get('/admin/verifyUsers/view/{id}', 'RegistrationController@verify');
Route::post('/admin/users/verify','RegistrationController@verifyUser');
Route::get('/admin/generateNorkaId/{id}', 'RegistrationController@GenerateNorkaId');
Route::get('/admin/news/add', 'NewsController@add');
Route::post('/admin/news/store', 'NewsController@store');
Route::get('/admin/news/list', 'NewsController@show');
Route::get('/admin/news/view/{id}', 'NewsController@view');
Route::get('/admin/schemes/add', 'SchemeController@add');
Route::post('/admin/schemes/store', 'SchemeController@store');
Route::get('/admin/schemes/list', 'SchemeController@show');
Route::get('/admin/downloads/add', 'DownloadsController@add');
Route::post('/admin/downloads/store', 'DownloadsController@store');
Route::get('/admin/downloads/list', 'DownloadsController@show');
Route::get('/admin/queries/list', 'QueryController@show');
Route::get('/admin/queries/viewReplies/{id}', 'QueryController@getReplies');
Route::post('/admin/queries/postReplies', 'QueryController@submitReply');
Route::get('/admin/notifications/list', 'NotificationController@showAll');
Route::get('/admin/notifications/add', 'NotificationController@add');
Route::post('/admin/notifications/getStates', 'NotificationController@getStates');
Route::post('/admin/notifications/store', 'NotificationController@store');
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/test', 'RegistrationController@countryWiseList');
